Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#596 closed defect (fixed)

Test sp32 does not work with buffered output

Reported by: querbach Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

A missing definition of TEST_INIT before including <tmacros.h> means that buffered output won't work even if selected in buffer_test_io.h.

Release:
4.6.99.0 (Snapshot as of 20040318)

Environment:
Intec SS555 (MPC5xx) port.
Built under Debian 3.0.

How-To-Repeat:
Select buffered output in buffer_test_io.h, run test.

Attachments (1)

rtems-20040318-sp32-fix.patch (581 bytes) - added by querbach on 12/03/06 at 13:31:12.
rtems-20040318-sp32-fix.patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 03/30/04 at 18:21:45 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to both CVS trunk and 4.6 branch.

Changed on 12/03/06 at 13:31:12 by querbach

rtems-20040318-sp32-fix.patch

comment:2 Changed on 10/10/17 at 06:46:55 by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.